# Propose change to network parameter(s)

- **must** be a way to create a new proposal
  (<a name="3007-PNEC-001" href="#3007-PNEC-001">3007-PNEC-001</a>)

- **must** be directed to the docs in order to create my proposal where I can see the instructions and steps I need to go through
  (<a name="3007-PNEC-002" href="#3007-PNEC-002">3007-PNEC-002 </a>)

- **should** be directed from the docs to use the Governance dApp to help put together a Network Parameter proposal
  (<a name="3007-PNEC-003" href="#3007-PNEC-003">3007-PNEC-003</a>)

- **must** be able to give my proposal a title
  (<a name="3007-PNEC-004" href="#3007-PNEC-004">3007-PNEC-004</a>)

- **must** be able to see what the title would be used for
  (<a name="3007-PNEC-005" href="#3007-PNEC-005">3007-PNEC-005</a>)

- **must** be constrained to a character limit and can understand what that limit is
  (<a name="3007-PNEC-006" href="#3007-PNEC-006">3007-PNEC-006</a>)

- **must** be a way to add a proposal description
  (<a name="3007-PNEC-007" href="#3007-PNEC-007">3007-PNEC-007</a>)

- **must** see what the description would be used for
  (<a name="3007-PNEC-008" href="#3007-PNEC-008">3007-PNEC-008</a>)

- **must** be constrained to a character limit and can understand what that limit is
  (<a name="3007-PNEC-009" href="#3007-PNEC-009">3007-PNEC-009</a>)

- **must** be able to select the parameter I want to change
  (<a name="3007-PNEC-010" href="#3007-PNEC-010">3007-PNEC-010</a>)

- **must** see the current value and enter a proposed value (the change I want)
  (<a name="3007-PNEC-011" href="#3007-PNEC-011">3007-PNEC-011</a>)

- **must** be a way to set when voting will close and a way to set when the proposal should be enacted
  (<a name="3007-PNEC-012" href="#3007-PNEC-012">3007-PNEC-012</a>)

- **must** a way to set voting close to the maximum or minimum amount of time
  (<a name="3007-PNEC-013" href="#3007-PNEC-013">3007-PNEC-013</a>)

- **must** a way to understand when that will be (date, time)
  (<a name="3007-PNEC-014" href="#3007-PNEC-014">3007-PNEC-014</a>)

- **must** a way to set proposal enactment to the maximum or minimum amount of time
  (<a name="3007-PNEC-015" href="#3007-PNEC-015">3007-PNEC-015</a>)

- **must** a way to understand when that will be (date, time)
  (<a name="3007-PNEC-016" href="#3007-PNEC-016">3007-PNEC-016</a>)

- **must** a way to understand how the deadline and enactment times must relate i.e. must be equal to or after vote close
  (<a name="3007-PNEC-017" href="#3007-PNEC-017">3007-PNEC-017</a>)

- **must** be able to download the proposal as JSON ready to share with the community on the forum
  (<a name="3007-PNE-018" href="#3007-PNE-018">3007-PNE-018</a>)

- When I have received feedback from the community, I **should** be directed to submit my proposal on the governance site where I can paste in my raw JSON
  (<a name="3007-PNE-019" href="#3007-PNE-019">3007-PNE-019</a>)

- **must** be able to see how many VEGA I must have associated with a validator in order to submit a proposal
  (<a name="3007-PNE-020" href="#3007-PNE-020">3007-PNE-020</a>)

- **must** be a way to find more information on submitting a proposal (a link to docs) and explorer (a link to explorer / governance)
  (<a name="3007-PNE-021" href="#3007-PNE-021">3007-PNE-021</a>)

- **must** error when submitting a proposal without entering anything, telling me JSON is required
  (<a name="3007-PNE-022" href="#3007-PNE-022">3007-PNE-022</a>)

- **must** error when submitting a proposal in anything other than JSON, telling me the proposal must be valid JSON
  (<a name="3007-PNE-023" href="#3007-PNE-023">3007-PNE-023</a>)

back to [Propose](./3002-PROP-propose.md) for details on proposing
